<?php
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
?><!--<?php
$boardid = $GLOBALS['boardid'];
$id = $GLOBALS['id'];
$replyid = $GLOBALS['replyid'];
$fileconfirm = $GLOBALS['delupfile'];
$disabledColor = '#D6D3CE';
global $lang;
//$strAction = $lang['Action.title'][$GLOBALS['action']].$lang['Action.Info'][$GLOBALS['action']];
$strAction = $lang['Action.title'][$GLOBALS['action']];
print <<<EOT
-->
<!--前台管理部分页面-->
<!--帖子管理选项-->
<SCRIPT LANGUAGE="JavaScript">
<!--
function OnSubmitForm(form){
	if( form.title.selectedIndex === 0 ){
		if( form.content.value.length === 0 ){
			alert('{$lang['lang1']}');
			form.content.focus();
			return false;
		}
	}
	if( form.ismsg.checked === true ){
		if( form.msg.value.length === 0 ){
			alert('{$lang['lang2']}');
			form.msg.focus();
			return false;
		}
	}
	return true;
}
//-->
</SCRIPT>
<FORM METHOD=POST ACTION="admin_postings.php?action={$reaction}{$funcargs}" name="frmAnnounce" onsubmit="return OnSubmitForm(this);">
<table cellspacing="0" cellpadding="0" align="center" class="mainbox tableborder">
<tr>
<th height=24>{$lang['lang3']} <b>{$strAction}</b></th>
</tr>
<tr>
<td  height=24><b>
{$lang['lang4']}</b>
<select name="title" size=1 onchange="with(this.form.elements['content']){disabled=(this.selectedIndex!=0?true:false);style.backgroundColor=(disabled?'{$disabledColor}':'');if(!disabled){focus();}}">
<option value="">{$lang['lang5']}</option>
<!--
EOT;
global $board_settings;
$arrtopicquestion = explode('|',$board_settings[95]);
if( is_array($arrtopicquestion) ){
	foreach( $arrtopicquestion as $val ){
		//$encodeVal = urlencode($val);
		print <<<EOT
--><option value="{$val}">{$val}</option>
<!--
EOT;
	}
}
print <<<EOT
-->
<!--{$topicquestion}-->
</select>
<input type="text" name="content" size=60>  *</td>
</tr>
<!--
EOT;
if( $reaction === 'p_do_reward_money' ){
	if( $master === false ){
		$UserTodyInfo = str_replace('{$PayMoney}',$fsetting['boardmaster_moneylimited']-$arrUserToday[4],$lang['template.strings9']);
	}
	print <<<EOT
-->
<!--{$ManageInfo}--><tr>
<td  height=24><b>{$lang['lang6']}</b>
<SCRIPT LANGUAGE="JavaScript">
<!--
document.write ('{$lang['lang7']} <select name="givemoney" size=1>');
for (i=-50;i<51 ;i++ )
{
	document.write ('<option value="'+i+'" ');
	if (i==0)
	{
		document.write ('selected');
	}
	document.write ('>'+i+'</option>');
}
document.write ('</select>');
document.write ('  {$lang['lang8']}');
document.write ('	<select name="dowealth" size=1>');
for (i=-50;i<51 ;i++ )
{
	document.write ('<option value="'+i+'" ');
	if (i==0)
	{
		document.write ('selected');
	}
	document.write ('>'+i+'</option>');
}
document.write ('	</select>&nbsp;{$lang['lang9']}');
document.write ('	<select name="dousercp" size=1>');
for (i=-50;i<51 ;i++ )
{
	document.write ('<option value="'+i+'" ');
	if (i==0)
	{
		document.write ('selected');
	}
	document.write ('>'+i+'</option>');
}
document.write ('	</select>&nbsp;{$lang['lang10']}');
document.write ('	<select name="douserep" size=1>');
for (i=-50;i<51 ;i++ )
{
	document.write ('<option value="'+i+'" ');
	if (i==0)
	{
		document.write ('selected');
	}
	document.write ('>'+i+'</option>');
}
document.write ('</select>');

//-->
</SCRIPT>
{$UserTodyInfo}
</td></tr>
<!--
EOT;
} else{
	print <<<EOT
-->
<!--{$ManageInfo}-->
<tr>
<td  height=24>
<SCRIPT LANGUAGE="JavaScript">
<!--
var seldisable='{$seldisable}';
var doWealth="{$GLOBALS['dowealth']}";
var dousercp="{$GLOBALS['dousercp']}";
var douserep="{$GLOBALS['douserep']}";
document.write ('<B>{$lang['lang11']}</B>');
document.write ('&nbsp;&nbsp;{$lang['lang8']} <select name="dowealth" size=1 '+seldisable+'>');
for (i=-50;i<51 ;i++ )
{
	document.write ('<option value="'+i+'" ');
	if (doWealth==i)
	{
		document.write ('selected');
	}
	document.write ('>'+(i>=0?'+'.concat(i):i)+'</option>');
}
document.write ('</select>&nbsp;{$lang['lang9']}');
document.write (' <select name="dousercp" size=1 '+seldisable+'>');
for (i=-50;i<51 ;i++ )
{
	document.write ('<option value="'+i+'" ');
	if (dousercp==i)
	{
		document.write ('selected');
	}
	document.write ('>'+(i>=0?'+'.concat(i):i)+'</option>');
}
document.write ('</select>&nbsp;{$lang['lang10']}');
document.write (' <select name="douserep" size=1 '+seldisable+'>');
for (i=-50;i<51 ;i++ )
{
	document.write ('<option value="'+i+'" ');
	if (douserep==i)
	{
		document.write ('selected');
	}
	document.write ('>'+(i>=0?'+'.concat(i):i)+'</option>');
}
document.write ('</select>&nbsp;<input type="checkbox" name="checkbox" value="checkbox" onclick="nocent();" '+seldisable+' class="chkbox">{$lang['lang12']}');

function nocent()
{
	if(document.frmAnnounce.dowealth.disabled==true)
	{
		document.frmAnnounce.dowealth.disabled=false;
		document.frmAnnounce.dousercp.disabled=false;
		document.frmAnnounce.douserep.disabled=false;
	}
	else
	{
		document.frmAnnounce.dowealth.disabled=true;
		document.frmAnnounce.dousercp.disabled=true;
		document.frmAnnounce.douserep.disabled=true;
	}

}
//-->
</SCRIPT>
</td></tr>
<!--
EOT;
}
print <<<EOT
-->
<input type="hidden" value="{$id}" name="id">
<input type="hidden" value="{$replyid}" name="replyid">
<input type="hidden" value="{$boardid}" name="boardid">
<SCRIPT LANGUAGE="JavaScript">
<!--
var fileconfirm='{$fileconfirm}';
if (fileconfirm=='1'){
document.write ('<tr>');
document.write ('<td height=24 class=tablebody1>');
document.write ('<B>{$lang['lang13']}</B><INPUT TYPE="radio" NAME="delupfile" value="0" checked class="radio">{$lang['lang14']}{$lang['tpl.gtgl.str27']}{$lang['tpl.gtgl.str27']}<INPUT TYPE="radio" NAME="delupfile" value="1" class="radio">{$lang['lang15']}');
document.write ('{$lang['tpl.gtgl.str28']}{$lang['lang16']}{$lang['tpl.gtgl.str29']}</td>');
document.write ('</tr>');
}
//-->
</SCRIPT>
<tr>
<td height=24 >
<B>{$lang['lang17']}</B><input type=text size=70 id="MsgNotify_ID" name="msg" disabled style="background-color:{$disabledColor};">&nbsp;<input type="checkbox" class="chkbox" name="ismsg" value="1" onclick="with(this.form.elements['msg']){disabled=!this.checked;if(this.checked){focus();style.backgroundColor=''}else{style.backgroundColor='{$disabledColor}'}}">{$lang['lang18']}</td>
</tr>
<tr>
<td height=24 >
<B>{$lang['lang19']}</B><BR>
{$lang['lang20']}
</td>
</tr>
<tr>
<td height=24  align=center>
<button type="submit" name=submit onMousemove="button_move(this)" onMouseout="button_out(this)">{$lang['lang21']}</button></td>
</tr>
</table>
</FORM>
<!--
EOT;
?>-->